---
names:
  full: AWS IAM SSH Public Key are not rotated every 90 days or less
  contextual: SSH Public Key are not rotated every 90 days or less
description: >
  Ensure that SSH public keys used for AWS CodeCommit are rotated every 90 days. 
  Regular rotation of credentials reduces the risk associated with potentially 
  compromised or long-lived keys.
type: COMPLIANCE_POLICY
categories:
  - SECURITY
frameworkMappings:
  - "/frameworks/cloudaware/identity-and-access-governance/credential-lifecycle-management"
  - "/frameworks/aws-well-architected/sec/02/02"
similarPolicies:
  cloudConformity:
    - url: https://www.trendmicro.com/cloudoneconformity/knowledge-base/aws/IAM/ssh-public-keys-rotated-90-days.html
      name: SSH Public Keys Rotated 90 Days
